Bug 463037 - sometimes, fails to load sound card (hda-intel)
sometimes, fails to load sound card (hda-intel)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-20 20:36 EDT by sangu
Modified: 2008-12-15 20:58 EST (History)
0 users

See Also:
Fixed In Version: 2.6.27.7-139.fc10.i686
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 20:58:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvv (26.90 KB, text/plain)
2008-09-20 20:36 EDT, sangu
no flags Details

  None (edit)
Description sangu 2008-09-20 20:36:10 EDT
Created attachment 317297 [details]
lspci -vvv

Description of problem:
$ dmesg 
<skip>
ACPI: PCI Interrupt Link [AAZA] enabled at IRQ 21
HDA Intel 0000:00:07.0: PCI INT A -> Link[AAZA] -> GSI 21 (level, low) -> IRQ 21
HDA Intel 0000:00:07.0: setting latency timer to 64
ALSA sound/pci/hda/hda_intel.c:2083: chipset global capabilities = 0x4401
ALSA sound/pci/hda/hda_intel.c:758: codec_mask = 0x9
ALSA sound/pci/hda/hda_codec.c:639: hda_codec: no AFG or MFG node found
ALSA sound/pci/hda/hda_intel.c:1228: hda-intel: no codecs initialized
HDA Intel 0000:00:07.0: PCI INT A disabled
<skip>

then emu10k1 works well.
$ dmesg
<skip>
ACPI: PCI Interrupt Link [APC2] enabled at IRQ 17
EMU10K1_Audigy 0000:01:09.0: PCI INT A -> Link[APC2] -> GSI 17 (level, low) -> I
RQ 17
ALSA sound/pci/emu10k1/emu10k1_main.c:1749: vendor=0x1102, device=0x2, subsystem
_vendor_id=0x80401102, subsystem_id=0x8040
ALSA sound/pci/emu10k1/emu10k1_main.c:1774: Sound card name=SBLive! Platinum [CT
4760P]
<skip

Version-Release number of selected component (if applicable):
kernel-2.6.27-0.337.rc6.git5.fc10

How reproducible:
sometimes

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
alsa-plugins-pulseaudio-1.0.18-1.rc3.fc10.i386
alsa-lib-1.0.18-6.rc3.fc10.i386
alsa-lib-devel-1.0.18-6.rc3.fc10.i386
alsa-utils-1.0.18-3.rc3.fc10.i386
Comment 1 Bug Zapper 2008-11-25 22:09:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 sangu 2008-12-15 20:53:16 EST
After installing kernel-2.6.27-44, HDA_Intel always works well.

in kernel package changelog
* Mon Dec 08 2008 Chuck Ebbert <cebbert@redhat.com> 2.6.27.7-139
- ALSA 1.0.18a

Note You need to log in before you can comment on or make changes to this bug.